using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Gestor_de_Contenidos
{
    /*
     * Clase padre Item. Todos los items de Historias Sociales y Minijuegos heredarán de esta clase
     */
    public class Item
    {
        protected string nombre;
        public string Nombre
        {
            get { return nombre; }
            set { nombre = value; }
        }
        protected string imagen;
        public string Imagen
        {
            get { return imagen; }
            set { imagen = value; }
        }
        protected string texto;
        public string Texto
        {
            get { return texto; }
            set { texto = value; }
        }

        public Item(string nombre, string imagen, string texto)
        {
            this.nombre = nombre;
            this.texto = texto;
            this.imagen = imagen;
    
        }

        public override string ToString()
        {
            return nombre;
        }

    }
}
